shift_var Struct Reference

## Data Fields

VALUE | key
VALUE | val

## Detailed Description

Definition at line 821 of file hash.c.

## Field Documentation

VALUE shift_var::key

Definition at line 822 of file hash.c.

Referenced by rb_hash_shift(), shift_i(), and shift_i_safe().

VALUE shift_var::val

Definition at line 823 of file hash.c.

Referenced by rb_hash_aset(), rb_hash_has_value(), shift_i(), and shift_i_safe().

The documentation for this struct was generated from the following file:

- hash.c